

var urltab = {
		
   loaded: false,
   prefService: null,
         
   onLoad: function()
    {
    	// Overwrite original functions with modified versions if not already done
    	
  	if(!this.loaded)
  	{ 	
  		try
  		{
  			prefService = Components.classes['@mozilla.org/preferences-service;1'].getService(Components.interfaces.nsIPrefService).getBranch('urltab.settings.');
  		}
  		catch(e){}
  			
  		window.loadOneOrMoreURIs = urltab.loadOneOrMoreURIs;
  		window.BrowserLoadURL = urltab.BrowserLoadURL;
  		window.SearchLoadURL = urltab.SearchLoadURL;
		this.loaded = true;
			
	}
  },
  
  SearchLoadURL: function(aURL, aTriggeringEvent)
 {
  if(getWebNavigation().currentURI.spec=="about:blank")
  {
   	loadURI(aURL,null,null);
   	_content.focus();
  }
  else 
  {
  	_content.focus();
  	var newTab=gBrowser.addTab(aURL,null);   
   	gBrowser.selectedTab = newTab; 
   	if (gURLBar)
        gURLBar.value = aURL;  
 } 
  	
  /*if (gBrowser.localName == "tabbrowser" &&
      aTriggeringEvent && 'altKey' in aTriggeringEvent &&
      aTriggeringEvent.altKey) {
    _content.focus();
    var t = gBrowser.addTab(aURL, null); // open link in new tab
    gBrowser.selectedTab = t;
    if (gURLBar)
      gURLBar.value = aURL;
  }
  else  
    loadURI(aURL, null, null);
  _content.focus();
  
  */
},
  
  loadOneOrMoreURIs: function(aURIString)
  {
  	
	var hometonewtab = true;
	try
	{
			hometonewtab = this.prefService.getBoolPref('hometonewtab');
	}
	catch (err) {}	
	
	var hometonewtabfg = false;
	try
	{
			hometonewtabfg = this.prefService.getBoolPref('hometonewtabfg');
	}
	catch (err) {}	
	
		
	
//	var prefService = Components.classes['@mozilla.org/preferences-service;1'].getService(Components.interfaces.nsIPrefService).getBranch('urltab.settings.');
//	var hometonewtab = prefService.getBoolPref('hometonewtab');
//	var hometonewtabfg= prefService.getBoolPref('hometonewtabfg');
	
	hometonewtab = true;
 	 if (aURIString.indexOf("|") != -1) {
   		 var urls = aURIString.split("|");
   		 if(hometonewtab)
   		 {
   		 	if(getWebNavigation().currentURI.spec=="about:blank")
   		 	{
   		 		loadURI(urls[0],null,null);
   		 	}
   			else 
   			{
   		 		var newTab=gBrowser.addTab(urls[0]);   
   		 		if(hometonewtabfg)		
   		 			gBrowser.selectedTab = newTab;   
   		 	} 
   		 }
   		else
   			loadURI(urls[0], null, null);
   		 
    		for (var i = 1; i < urls.length; ++i)
      			gBrowser.addTab(urls[i]);
 	 }
	else
 	 {
		if(hometonewtab)
   		 {
   		 	if(getWebNavigation().currentURI.spec=="about:blank")
   		 	{
   		 		loadURI(aURIString,null,null);
   		 	}
   		 	
   			else
   			{
   		 		var newTab=gBrowser.addTab(aURIString);   
   		 		if(hometonewtabfg)		
   		 			gBrowser.selectedTab = newTab;    
   		 	}
   		 }
   		else
   			loadURI(aURIString, null, null);
    	}
  },
  
  BrowserLoadURL: function (aTriggeringEvent, aPostData)
 {
  var url = gURLBar.value;
  
  if (url.match(/^view-source:/)) 
    {
  	  BrowserViewSourceOfURL(url.replace(/^view-source:/, ""), null, null);
    } 
    else 
    {
  	
	
	var urltonewtab = true;
	try
	{
			urltonewtab = this.prefService.getBoolPref('urltonewtab');
	}
	catch (err) {}	
	
	var urltonewtabfg = false;
	try
	{
			urltonewtabfg = this.prefService.getBoolPref('urltonewtabfg');
	}
	catch (err) {}	
  //	var prefService = Components.classes['@mozilla.org/preferences-service;1'].getService(Components.interfaces.nsIPrefService).getBranch('urltab.settings.');
  //	var urltonewtab = prefService.getBoolPref('urltonewtab');
  //	var urltonewtabfg= prefService.getBoolPref('urltonewtabfg');
  
  	if( urltonewtab&& gBrowser.localName == "tabbrowser")
  	{
  		_content.focus();
  		
  		if(getWebNavigation().currentURI.spec=="about:blank")
   		 {
   		 	loadURI(url,null,aPostData);
   		 }
   		else
   		{
     		 	var t = gBrowser.addTab(url, aPostData); // open link in new tab
     		 	if(urltonewtabfg)
    	 	 		gBrowser.selectedTab = t;
    	 	 }
    	 	 
    		gURLBar.value = url;
     		event.preventDefault();
      		event.preventBubble();
      		event.preventCapture();
      		event.stopPropagation();   	 
	}
  	 else
   	{  
   	   if (gBrowser.localName == "tabbrowser"  && aTriggeringEvent && 'altKey' in aTriggeringEvent &&  aTriggeringEvent.altKey )
     	  {
      		_content.focus();
     		 var t = gBrowser.addTab(url, aPostData); // open link in new tab
     		 gBrowser.selectedTab = t;
     		 gURLBar.value = url;
     		 event.preventDefault();
    		  event.preventBubble();
    		  event.preventCapture();
    		  event.stopPropagation();
    		}
    	  else 
    	  { 
    		  loadURI(url, null, aPostData);
    		_content.focus();
		}
   	 }
   }
 }
  
}; 

window.addEventListener('load', function() {urltab.onLoad();}, false);









